<p align="center">
	<img width="763" src="https://cdn.rawgit.com/aharris88/awesome-cli-apps/master/media/logo.png" alt="awesome cli apps">
</p>

---

[![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

> A curated list of command line apps.

Inspired by the [awesome](https://github.com/sindresorhus/awesome) list thing.

## Table of Contents

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->


- [Entertainment](#entertainment)
  - [Music](#music)
  - [Social Media](#social-media)
  - [Video](#video)
  - [Movies](#movies)
  - [Games](#games)
- [Development](#development)
  - [Text Editors](#text-editors)
  - [Web Development](#web-development)
  - [Mobile Development](#mobile-development)
  - [Database](#database)
  - [Devops](#devops)
  - [Release](#release)
  - [Npm](#npm)
- [Productivity](#productivity)
  - [Time Tracking](#time-tracking)
  - [Note Taking and Lists](#note-taking-and-lists)
  - [Finance](#finance)
  - [Presentations](#presentations)
- [Utilities](#utilities)
  - [macOS](#macos)
  - [Terminal Utilities](#terminal-utilities)
  - [Network Utilities](#network-utilities)
  - [Theming and Customization](#theming-and-customization)
- [Command Line Learning](#command-line-learning)
- [Data Manipulation](#data-manipulation)
  - [JSON](#json)
  - [Text](#text)
- [Files and Directories](#files-and-directories)
  - [File Managers](#file-managers)
  - [Deleting, Copying, and Renaming](#deleting-copying-and-renaming)
  - [Files](#files)
  - [Directory Listing](#directory-listing)
  - [Directory Navigation](#directory-navigation)
  - [Search](#search)
- [Version Control](#version-control)
  - [Git](#git)
- [Images](#images)
  - [Gif Creation](#gif-creation)
  - [Image Conversion](#image-conversion)
  - [SVG](#svg)
- [Screensavers](#screensavers)
- [Graphics](#graphics)
- [Just for Fun](#just-for-fun)
- [Other](#other)
  - [Emoji](#emoji)
- [Other Awesome Lists](#other-awesome-lists)
- [License](#license)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

---

## Entertainment

- [football-cli](https://github.com/ManrajGrover/football-cli) - Get live scores, fixtures, standings of almost every football competition/league.
- [pockyt](https://github.com/arvindch/pockyt) - Read, Manage, and Automate your [Pocket](https://getpocket.com) collection.
- [newsboat](https://github.com/newsboat/newsboat) - An extendable RSS feed reader for text terminals.

### Music

- [cmus](https://github.com/cmus/cmus) - Small, fast and powerful console music player.
- [Instant-Music-Downloader](https://github.com/yask123/Instant-Music-Downloader) - Instant music downloader.
- [itunes-remote](https://github.com/mischah/itunes-remote) - Control iTunes via CLI.
- [pianobar](https://6xq.net/pianobar/) - Pandora client.
- [somafm-cli](https://github.com/rockymadden/somafm-cli) - Listen to SomaFM in your terminal.
- [nehm](https://github.com/bogem/nehm) - Download tracks from SoundCloud.
- [mpd](https://github.com/MusicPlayerDaemon/MPD) - Music Player Daemon.
- [ncmpcpp](https://github.com/arybczak/ncmpcpp) - mpd client.
- [moc](http://moc.daper.net/) - Console audio player for Linux/UNIX.
- [musikcube](https://github.com/clangen/musikcube) - Cross-platform, terminal-based music player, audio engine, metadata indexer, and server.
- [beets](https://github.com/beetbox/beets) - Music library manager and tagger.

### Social Media

- [facebook-cli](https://github.com/specious/facebook-cli) - Facebook command line interface.
- [TTYtter](https://github.com/oysttyer/oysttyer) - Twitter client.
- [Rainbowstream](https://github.com/DTVD/rainbowstream) - A smart and nice Twitter client on the terminal.
- [RTV](https://github.com/michael-lazar/rtv) - Browse Reddit from your terminal.
- [WeeChat](https://weechat.org/) - Fast, light and extensible chat client.
- [irssi](https://github.com/irssi/irssi) - IRC chat client.

### Video

- [youtube-dl](https://github.com/ytdl-org/youtube-dl) - Download videos from YouTube.com and many other video sites.
- [streamlink](https://github.com/streamlink/streamlink) - Extract streams from various websites to a video player of your choosing.
- [mps-youtube](https://github.com/mps-youtube/mps-youtube) - Youtube player.
- [mpv](https://mpv.io) - Superior video player.

### Movies

- [moviemon](https://github.com/iCHAIT/moviemon) - Everything about your movies.
- [movie](https://github.com/mayankchd/movie) - Get movie info or compare movies.

### Games

- [Dwarf Fortress](http://www.bay12games.com/dwarves) - Roguelike construction and management simulation.
- [Cataclysm-DDA](https://cataclysmdda.org) - Turn-based survival game set in a post-apocalyptic world.

## Development

- [bcal](https://github.com/jarun/bcal) - Byte CALculator for storage conversions and calculations.
- [boilr](https://github.com/tmrts/boilr) - Create projects from boilerplate templates.
- [cgasm](https://github.com/bnagy/cgasm) - Gives x86 assembly documentation.
- [cookiecutter](https://github.com/audreyr/cookiecutter) - Create projects from templates.
- [legit](https://github.com/captainsafia/legit) - Generate Open Source licences as files or file headers.
- [mklicense](https://github.com/cezaraugusto/mklicense) - Create a custom LICENSE file painlessly with customized info.
- [rebound](https://github.com/shobrook/rebound) - Fetch Stack Overflow results in your terminal when you get a compiler error.
- [yo](https://github.com/yeoman/yo) - Scaffolding tool for running Yeoman generators. There are thousands of ready to use generators and creating an own one is pretty easy.
- [grip](https://github.com/joeyespo/grip) - Preview markdown files with GitHub styles before committing them.
- [bitwise](https://github.com/mellowcandle/bitwise) - Base convertion and bit manipulator in ncurses.
- [foy](https://github.com/zaaack/foy) - Lightweight general purpose task runner/build tool.

### Text Editors

- [emacs](https://github.com/emacs-mirror/emacs) - An extensible, customizable, free/libre text editor — and more.
- [vim](https://github.com/vim/vim) - Vim - the ubiquitous text editor.
- [neovim](https://github.com/neovim/neovim) - Vim fork focused on extensibility and usability.
- [kakoune](https://github.com/mawww/kakoune) - Modal editor inspired by vim.

### Web Development

- [caniuse-cmd](https://github.com/sgentle/caniuse-cmd) - Search [caniuse.com](caniuse.com) about browser support of feature.
- [is-up-cli](https://github.com/sindresorhus/is-up-cli) - Check whether a website is up.
- [pageres-cli](https://github.com/sindresorhus/pageres-cli) - Capture website screenshots.
- [strip-css-comments-cli](https://github.com/sindresorhus/strip-css-comments-cli) - Strip comments from CSS.
- [viewport-list-cli](https://github.com/kevva/viewport-list-cli) - Return a list of devices and their viewports.
- [surge](https://surge.sh) - Deploy a directory to the web.
- [acmetool](https://github.com/hlandau/acme) - An automatic certificate acquisition tool for ACME (Let's Encrypt).
- [loadtest](https://github.com/alexfernandez/loadtest) - Runs a load test on the selected URL. Easy to extend minimally for your own ends.
- [wp-cli](https://github.com/wp-cli/wp-cli) - Manage WordPress installations, update plugins, set up multisite installs and much more.
- [diff2html-cli](https://github.com/rtfpessoa/diff2html-cli) - Parse git diffs as JSON and generate pretty HTML.
- [HTTPie](https://github.com/jkbrzt/httpie) - A user-friendly HTTP client.
- [serve](https://github.com/zeit/serve) - Easy to use static file server with features like https, CORS and GZIP compression.
- [add-gitignore](https://github.com/TejasQ/add-gitignore) - Interactively generate a .gitignore for your project based on your needs.
- [mevn-cli](http://github.com/madlabsinc/mevn-cli) - Light speed setup for MEVN(Mongo Express Vue Node) Apps.
- [scaffold-static](https://github.com/jamesgeorge007/scaffold-static) - Scaffolding utility for vanilla JS.
- [Discharge](https://github.com/brandonweiss/discharge) - Deploy static websites to Amazon S3.
- [reachable](https://github.com/italolelis/reachable) - Check if a domain is up.
- [simplehttp](https://github.com/snwfdhmp/simplehttp) - Easily serve a local directory over http.
- [shell2http](https://github.com/msoap/shell2http) - Execute shell commands via HTTP server.
- [HTTP Prompt](https://github.com/eliangcs/http-prompt) - Interactive HTTP client featuring autocomplete and syntax highlighting.
- [ipfs-deploy](https://github.com/agentofuser/ipfs-deploy) - Deploy static websites to [IPFS](https://github.com/ipfs/ipfs#overviewhttps://github.com/ipfs/ipfs#overview).

### Mobile Development

- [mobicon-cli](https://github.com/SamVerschueren/mobicon-cli) - Mobile app icon generator.
- [mobisplash-cli](https://github.com/SamVerschueren/mobisplash-cli) - Mobile app splash screen generator.
- [deviceframe](https://github.com/c0bra/deviceframe) - Put device frames around your mobile/web/progressive app screenshots.

### Database

- [mycli](https://github.com/dbcli/mycli) - MySQL client with autocompletion and syntax highlighting.
- [pgcli](https://github.com/dbcli/pgcli) - Postgres client with autocompletion and syntax highlighting.

### Devops

- [htconvert](https://github.com/lukechilds/htconvert) - Convert .htaccess redirects to nginx.conf redirects.
- [aws-cli](https://github.com/aws/aws-cli) - Universal Interface for Amazon Web Services.
- [azure-cli](https://github.com/Azure/azure-cli) - Command-line tools for Azure.
- [SAWS](https://github.com/donnemartin/saws) - Supercharged AWS CLI.
- [s3cmd](https://github.com/s3tools/s3cmd) - Fully-Featured S3 client.
- [lstags](https://github.com/ivanilves/lstags) - Synchronize Docker images across different registries.
- [pm2](https://pm2.io/runtime/) - Production Process Manager for Node.js.
- [dockly](https://github.com/lirantal/dockly) - Interactively manage Docker containers.
- [ops](https://github.com/nanovms/ops) - Unikernel compilation and orchestration tool.
- [lazydocker](https://github.com/jesseduffield/lazydocker) - Simple docker/docker-compose interface.

### Release

- [release-it](https://github.com/webpro/release-it) - Automate releases for Git repositories and/or npm packages. Changelog generation, GitHub/GitLab releases, etc.
- [clog](https://github.com/clog-tool/clog-cli) - A conventional changelog for the rest of us.
- [np](https://github.com/sindresorhus/np) - A better `npm publish`.
- [release](https://github.com/zeit/release) - Generate changelogs with a single command.

### Npm

- [npm-name-cli](https://github.com/sindresorhus/npm-name-cli) - Check whether a package name is available on npm.
- [npm-user-cli](https://github.com/sindresorhus/npm-user-cli) - Get user info of a npm user.
- [npm-home](https://github.com/sindresorhus/npm-home) - Open the npm page of the package in the current directory.
- [pkg-dir-cli](https://github.com/sindresorhus/pkg-dir-cli) - Find the root directory of a npm package.
- [npm-check-updates](https://github.com/tjunnone/npm-check-updates) - Find newer versions of package dependencies than what your package.json allows.
- [updates](https://github.com/silverwind/updates) - Flexible npm dependency update tool.

## Productivity

- [AutoScreenshotUploader](https://github.com/yask123/AutoScreenshotUploader) - Capture and upload screenshots to imgur.
- [bitly-client](https://github.com/specious/bitly-client) - Bitly client.
- [doing](https://github.com/ttscoff/doing/) - Keep track of what you’re doing and track what you’ve done.
- [ffscreencast](https://github.com/cytopia/ffscreencast) - A ffmpeg screencast with video overlay and multi monitor support.
- [imgur-uploader-cli](https://github.com/kevva/imgur-uploader-cli) - Upload images to imgur.
- [meetup-cli](https://github.com/specious/meetup-cli) - Meetup.com client.
- [NeoMutt](https://neomutt.org) - Email client.
- [terjira](https://github.com/keepcosmos/terjira) - Jira client.
- [ipt](https://github.com/drselump14/ipt) - Pivotal Tracker client.
- [g3l](https://github.com/svtek/g3l) - Easiest git cli in the w0rld!
- [uber-cli](https://github.com/jaebradley/uber-cli) - Uber client.
- [Buku](https://github.com/jarun/Buku) - Browser-independent bookmark manager.
- [googler](https://github.com/jarun/googler) - Google from the terminal.
- [calcurse](http://calcurse.org/) - A calendar and scheduling application for the command-line.
- [gcalcli](https://github.com/insanum/gcalcli) - Access Google calendar from the terminal.
- [papis](http://github.com/alejandrogallo/papis) - Extensible document and bibliography manager.

### Time Tracking

- [Timetrap](https://github.com/samg/timetrap) - Simple command-line timetracker.
- [moro](https://github.com/omidfi/moro) - Simple tool for tracking work hours.
- [Timewarrior](https://github.com/GothenburgBitFactory/timewarrior) - Time tracking utility with simple stopwatch, calendar-based backfill and flexible reporting.

### Note Taking and Lists

- [idea](https://github.com/IonicaBizau/idea) - A lightweight tool for keeping ideas in a safe place quick and easy.
- [geeknote](https://github.com/VitaliyRodnenko/geeknote) - Evernote client.
- [Taskwarrior](http://taskwarrior.org) - Manage your TODO list from your command-line.
- [Terminal velocity](https://vhp.github.io/terminal_velocity/) - A fast note-taking app for the terminal.
- [eureka](https://github.com/simeg/eureka) - Store your ideas without leaving the terminal.
- [sncli](https://github.com/insanum/sncli) - Simplenote client.
- [td-cli](https://github.com/darrikonn/td-cli) - A todo manager to organize and manage your todos across multiple projects.
- [taskell](https://github.com/smallhadroncollider/taskell) - Interactive kanban board/task manager.
- [taskbook](https://github.com/klaussinani/taskbook) - Tasks, boards & notes for the command-line habitat.

### Finance

- [ledger](http://ledger-cli.org) - Powerful, double-entry accounting system on the terminal
- [moeda](https://github.com/thompsonemerson/moeda) - Foreign exchange rates and currency conversion.
- [cash-cli](https://github.com/xxczaki/cash-cli) - Convert Currency Rates.
- [cointop](https://github.com/miguelmota/cointop) - Track cryptocurrencies.

### Presentations

- [WOPR](https://github.com/yaronn/wopr) - A simple markup language for creating rich terminal reports, presentations and infographics.
- [decktape](https://github.com/astefanutti/decktape) - PDF exporter for HTML presentations.
- [mdp](https://github.com/visit1985/mdp) - A command-line based markdown presentation tool.
- [sent](https://tools.suckless.org/sent/) - Simple plaintext presentation tool.

## Utilities

- [archive-type-cli](https://github.com/kevva/archive-type-cli) - Detect archive type for a file or stdin.
- [battery-level-cli](https://github.com/gillstrom/battery-level-cli) - Get current battery level.
- [brightness-cli](https://github.com/kevva/brightness-cli) - Change screen brightness ([windows](https://github.com/sondreb/win-brightness)).
- [screensaver](https://github.com/gillstrom/screensaver) - Start the screensaver.
- [yank](https://github.com/mptre/yank) - Yank terminal output to clipboard.
- [text-meme](https://github.com/beatfreaker/text-meme-cli) - Generate text memes.
- [s](https://github.com/zquestz/s) - Open a web search in your terminal.
- [google-font-installer](https://github.com/lordgiotto/google-font-installer) - Download and install Google Web Fonts on your local machine.
- [aria2](https://github.com/tatsuhiro-t/aria2) - HTTP, FTP, SFTP, BitTorrent and Metalink download utility.
- [share-cli](https://github.com/marionebl/share-cli) - Share files with your local network.
- [wego](https://github.com/schachmat/wego) - Get the weather.
- [weather-cli](https://github.com/riyadhalnur/weather-cli) - Check the weather.
- [mapscii](https://github.com/rastapasta/mapscii) - Terminal Map Viewer.
- [getnews.tech](https://github.com/omgimanerd/getnews.tech) - Fetch news headlines from various news outlets.
- [has](https://github.com/kdabir/has) - Checks for the presence of various commands and their versions on the path.
- [carbon-now-cli](https://github.com/mixn/carbon-now-cli) - Generate beautiful images of your code.
- [pass](https://www.passwordstore.org) - The standard unix password manager.
- [neofetch](https://github.com/dylanaraps/neofetch) - System information tool.
- [Glances](https://nicolargo.github.io/glances) - System monitoring tool.
- [awesome-finder](https://github.com/mingrammer/awesome-finder) - Search the awesome lists without a browser.
- [mdv](https://github.com/axiros/terminal_markdown_viewer) - Styled terminal markdown viewer.
- [Ultimate Plumber](https://github.com/akavel/up) - Write Linux pipes with live previews.
- [flog](http://github.com/mingrammer/flog) - A fake log generator for log formats such as apache-common, apache error and RFC3164 syslog.
- [shallow-backup](https://github.com/alichtman/shallow-backup) - Git integrated backup tool.
- [fkill-cli](https://github.com/sindresorhus/fkill-cli) - Simple cross-platform process killer.
- [task-spooler](http://vicerveza.homeunix.net/~viric/soft/ts) - Queue jobs for linear execution.
- [pipe_exec](https://github.com/koraa/pipe_exec) - Run executables from stdin, pipes and ttys without creating a temporary file.

### macOS

- [open-pip-cli](https://github.com/albinekb/open-pip-cli) - Watch videos in picture-in-picture player.
- [app-path-cli](https://github.com/sindresorhus/app-path-cli) - Get the path to an app.
- [bundle-id-cli](https://github.com/sindresorhus/bundle-id-cli) - Get bundle identifier from a bundle name: Safari → com.apple.Safari.
- [bundle-name-cli](https://github.com/sindresorhus/bundle-name-cli) - Get bundle name from a bundle identifier: com.apple.Safari → Safari.
- [lnfs-cli](https://github.com/kevva/lnfs-cli) - Safely force create symlinks.
- [osx-version-cli](https://github.com/sindresorhus/osx-version-cli) - Get the macOS version.
- [osx-wifi-cli](https://github.com/danyshaanan/osx-wifi-cli) - Manage wifi connections.
- [active-win-cli](https://github.com/sindresorhus/active-win-cli) - Get the title/id/etc of the active window.
- [stronghold](https://github.com/alichtman/stronghold) - Configure security settings from the terminal.
- [website-popup-cli](https://github.com/sindresorhus/website-popup-cli) - Open a website in a popup .

### Terminal Utilities

- [gotty](https://github.com/yudai/gotty) - Share your terminal as a web application.
- [localtunnel](https://github.com/localtunnel/localtunnel) - Expose your localhost to the world for easy testing and sharing.
- [mosh](https://mosh.org/) - Remote SSH client that allows roaming with intermittent connectivity.
- [ngrok](https://ngrok.com/) - Secure introspectable tunnels to localhost.
- [serveo](https://serveo.net/) - Expose local servers to the internet using only a SSH client.
- [seashells.io](https://seashells.io/) - Pipe output to the web.
- [teleconsole](https://www.teleconsole.com/) - Share your UNIX terminal.
- [tmate](https://tmate.io/) - Instant terminal (tmux) sharing.
- [warp](https://github.com/spolu/warp) - Secure and simple terminal sharing.
- [OverTime](https://github.com/diit/overtime-cli) - Time-overlap tables for remote teams.
- [undollar](https://github.com/ImFeelingDucky/undollar) - Strip the '$' preceding copy-pasted terminal commands.

### Network Utilities

- [get-port-cli](https://github.com/sindresorhus/get-port-cli) - Get an available port.
- [is-reachable-cli](https://github.com/beatfreaker/is-reachable-cli) - Check if hostnames are reachable or not.
- [speedtest-net](https://github.com/ddsol/speedtest.net) - Test internet connection speed and ping using speedtest.net.
- [speed-test](https://github.com/sindresorhus/speed-test) - `speedtest-net` wrapper with different UI.
- [speedtest-cli](https://github.com/sivel/speedtest-cli) - Test internet bandwidth using speedtest.net.

### Theming and Customization

- [splash-cli](https://github.com/rawnly/splash-cli) - Beautiful wallpapers from unsplash.
- [wallpaper-cli](https://github.com/sindresorhus/wallpaper-cli) - Get or set the desktop wallpaper.
- [themer](https://github.com/mjswensen/themer) - Generate personalized themes for your editor, terminal, wallpaper, Slack, and more.
- [JackPaper](https://github.com/jackel27/jackpaper) - Apply random/queried images from unplash.com as desktop wallpaper.
- [pywal](https://github.com/dylanaraps/pywal) - Generate and change color-schemes, then apply them system-wide to all of your favourite programs.

## Command Line Learning

- [cmdchallenge](https://cmdchallenge.com/) - presents small shell challenge with user submitted solutions.
- [explainshell](http://www.explainshell.com/) - type a command line snippet to see the help text for each argument.
- [howdoi](https://github.com/gleitz/howdoi) - Instant coding answers via the command line.
- [how2](https://github.com/santinic/how2) - Finds the simplest way to do something on a unix bash command line (Nodejs implementation of howdoi).
- [The Fuck](https://github.com/nvbn/thefuck) - Magnificent app which corrects your previous console command.
- [tldr](https://github.com/tldr-pages/tldr) - Simplified and community-driven man pages.
- [Wat](https://github.com/dthree/wat) - Instant, central, community-built docs.
- [teachcode](https://github.com/madlabsinc/teachcode) - A tool to develop and improve a student’s programming skills by introducing the earliest lessons of coding.

## Data Manipulation

- [underscore-cli](https://github.com/ddopson/underscore-cli) - Command-line utility-belt for hacking JSON and Javascript.
- [ramda-cli](https://github.com/raine/ramda-cli) - A CLI tool for processing data with functional pipelines.
- [yaml-cli](https://github.com/pandastrike/yaml-cli) - A simple CLI for querying and updating YAML files.
- [q](http://harelba.github.io/q/) - A command line tool that allows execution of SQL-like queries on CSVs/TSVs (and any other tabular text files).
- [yq](https://github.com/kislyuk/yq) - Command-line YAML processor (Uses the same syntax as jq).

### JSON

- [jq](https://github.com/stedolan/jq) - Command-line JSON processor.
- [jp](https://github.com/therealklanni/jp) - Simply parse and drill into JSON on the commandline, with jsonpath and stdin stream support (jq compatible, not a replacement).
- [fx](https://github.com/antonmedv/fx) - Command-line JSON viewer.
- [vj](https://github.com/busyloop/vj) - Makes JSON human readable.
- [strip-json-comments-cli](https://github.com/sindresorhus/strip-json-comments-cli) - Strip comments from JSON. Lets you use comments in your JSON files!

### Text

- [parse-columns-cli](https://github.com/sindresorhus/parse-columns-cli) - Parse text columns, like the output of unix commands. Returns JSON that you can manipulate with tools like jq or underscore-cli.
- [figlet](http://www.figlet.org/) - Creates large text out of ASCII characters.

## Files and Directories

### File Managers

- [ranger](https://github.com/ranger/ranger) - A console file manager with VI key bindings.
- [midnight-commander](https://github.com/MidnightCommander/mc) - A feature rich visual file manager.
- [organize-cli](https://github.com/ManrajGrover/organize-cli) - Organize your files, imagine cleaning up your downloads in an instant.
- [Vifm](https://vifm.info/) - Vifm is an ncurses based file manager with vi like keybindings/modes/options/commands/configuration, which also borrows some useful ideas from mutt.
- [nnn](https://github.com/jarun/nnn) - File browser and disk usage analyzer with excellent desktop integration.

### Deleting, Copying, and Renaming

- [trash-cli](https://github.com/sindresorhus/trash-cli) - Move files and directories to the trash.
- [empty-trash-cli](https://github.com/sindresorhus/empty-trash-cli) - Empty the trash.
- [del-cli](https://github.com/sindresorhus/del-cli) - Delete files and folders.
- [cpy-cli](https://github.com/sindresorhus/cpy-cli) - Copies files.
- [rename-cli](https://github.com/jhotmann/node-rename-cli) - A cross-platform tool for renaming files quickly, especially multiple files at once.

### Files

- [chokidar-cli](https://github.com/kimmobrunfeldt/chokidar-cli) - CLI to watch file system changes.
- [file-type-cli](https://github.com/sindresorhus/file-type-cli) - Detect the file type of a file or stdin.
- [DocToc](https://github.com/thlorenz/doctoc) - Generates table of contents for markdown files inside local git repository. Links are compatible with anchors generated by github or other sites.
- [bat](https://github.com/sharkdp/bat) - A cat clone with syntax highlighting.
- [NCDu](https://dev.yorhel.nl/ncdu) - A disk usage analyzer with an ncurses interface.
- [unix-permissions](https://github.com/ehmicky/unix-permissions) - Swiss Army knife for Unix permissions
- [rclone](https://github.com/ncw/rclone) - Sync files to and from various cloud providers (Dropbox, Google Drive, Onedrive, etc.).
- [transmission-cli](https://transmissionbt.com) - Torrent client for your command line.
- [ffsend](https://github.com/timvisee/ffsend) - Fully featured CLI for [Firefox Send](https://send.firefox.com/) - simple and private file sharing.
- [webtorrent-cli](https://github.com/feross/webtorrent-cli) – Streaming torrent client.

### Directory Listing

- [alder](https://github.com/aweary/alder) - A minimal implementation of the UNIX tree command with colors!
- [exa](https://github.com/ogham/exa) - An improved version of `ls` written in Rust.

### Directory Navigation

- [autojump](https://github.com/wting/autojump) - A cd command that learns - easily navigate directories from the command line.
- [fasd](https://github.com/clvv/fasd) - Command-line productivity booster, offers quick access to files and directories, inspired by autojump, z and v.
- [pm](https://github.com/Angelmmiguel/pm) - The easy way to switch to your projects on the shell.
- [z](https://github.com/rupa/z) - z is the new j, yo.
- [PathPicker](https://github.com/facebook/pathpicker/) - After parsing the output from a command, PathPicker presents you with a nice UI to select which files you're interested in.
- [fz](https://github.com/changyuheng/fz) - Seamless fuzzy tab completion for z.
- [goto](https://github.com/iridakos/goto) - Directory aliases for the shell with autocomplete.
- [z.lua](https://github.com/skywind3000/z.lua) - A new cd command that helps you navigate faster by learning your habits.

### Search

- [happyfinder](https://github.com/hugows/hf) - (another) Fuzzy file finder for the command line.
- [find-up-cli](https://github.com/sindresorhus/find-up-cli) - Find a file by walking up parent directories.
- [ripgrep](https://github.com/BurntSushi/ripgrep) - A line-oriented search tool that recursively searches your current directory for a regex pattern.
- [fzf](https://github.com/junegunn/fzf) - A general purpose command-line fuzzy finder, can be used with any list: files/directories, command history, processes, hostnames, bookmarks, git commits, etc.
- [fselect](https://github.com/jhspetersson/fselect) - Find files with SQL-like queries.

## Version Control

### Git

- [CLI GitHub](https://github.com/IonicaBizau/cli-github) - :tv: A fancy GitHub client for command line.
- [Gistup](https://github.com/mbostock/gistup) - Create a gist from terminal, then use git to update it.
- [git commander](https://github.com/golbin/git-commander) - A git tool with a easy terminal interface.
- [git-stats](https://github.com/IonicaBizau/git-stats) - :four_leaf_clover: A GitHub-like contributions calendar, but locally, with all your git commits.
- [hub](https://github.com/github/hub) - A command-line wrapper for git that makes you better at GitHub.
- [dev-time](https://github.com/samverschueren/dev-time-cli) - Get the current local time of a GitHub user.
- [git-labelmaker](https://github.com/himynameisdave/git-labelmaker) - Edit GitHub labels from the command line.
- [tig](https://github.com/jonas/tig) - Text-mode interface for Git.
- [grv](https://github.com/rgburke/grv) - Text-mode interface for Git with customisable vi bindings.
- [git-standup](https://github.com/kamranahmedse/git-standup) - Recall what you did on the last working day.
- [git-secret](https://github.com/sobolevn/git-secret) - Store your private data inside a git repository.
- [gitlab-cli](https://github.com/vishwanatharondekar/gitlab-cli) - gitlab cli for creating merge request from the command line.
- [git-extras](https://github.com/tj/git-extras) - Little git extras like git-ignore, git-setup, git-changelog, git-release, git-effort and more.
- [gita](https://github.com/nosarthur/gita) - Manage multiple git repos side by side for sanity.

## Images

### Gif Creation

- [gifgen](https://github.com/lukechilds/gifgen) - Simple high quality GIF encoding.
- [gifsicle](https://github.com/kohler/gifsicle) - Create, manipulate, and optimize GIF images and animations.
- [ttygif](https://github.com/icholy/ttygif) - Convert terminal recordings to animated gifs.
- [ttygif](https://github.com/sugyan/ttygif) - ttyrec to gif.
- [ttystudio](https://github.com/chjj/ttystudio) - A terminal-to-gif recorder minus the headaches.
- [asciinema](https://github.com/asciinema/asciinema) - Terminal session recorder and the best companion of asciinema.org.
- [givegif](https://github.com/passy/givegif) - GIFs on the command line.

### Image Conversion

- [imgp](https://github.com/jarun/imgp) - Blazing fast batch image resizer and rotator.
- [korkut](https://github.com/oguzhaninan/korkut) - Quick and simple image processing at the command line.

### SVG

- [SVGO](https://github.com/svg/svgo) - SVG Optimizer is a Nodejs-based tool for optimizing SVG vector graphics files.

## Screensavers

- [cmatrix](https://github.com/Treri/cmatrix) - Show a scrolling 'Matrix' like screen.
- [pipes.sh](https://github.com/pipeseroni/pipes.sh) - Shows random pipes that grow across the screen.
- [YuleLog](https://github.com/Duroktar/YuleLog) - Terminal based Christmas YuleLog fireplace.
- [cli-fireplace](https://github.com/dolsup/cli-fireplace) - Shows digital fireplace.

## Graphics
- [cli-mandelbrot](https://github.com/danyshaanan/cli-mandelbrot) - A cli for traversing the Mandelbrot fractal.
- [sparkly-cli](https://github.com/sindresorhus/sparkly-cli) - Generate sparklines ▁▂▃▅▂▇..

## Just for Fun

- [cowsay](https://github.com/tnalpgge/rank-amateur-cowsay) - A configurable talking cow (and other animals).
- [quote-cli](https://github.com/riyadhalnur/quote-cli) - Get a random quote or the quote of the day in your CLI.
- [fortune](https://github.com/shlomif/fortune-mod) - Shows a random fortune.
- [ponysay](https://github.com/erkin/ponysay) - Pony rewrite of cowsay.
- [yosay](https://github.com/yeoman/yosay) - Like cowsay, but for yeoman.
- [lolcat](https://github.com/busyloop/lolcat) - Outputs text in rainbow colors.

## Other

- [Bible.Js CLI client](https://github.com/BibleJS/BibleApp) - :book: Bible.JS CLI client. Read the Holy Bible via the command line.
- [birthday](https://github.com/IonicaBizau/birthday) - Know when a friend's birthday is coming.
- [detect-indent-cli](https://github.com/sindresorhus/detect-indent-cli) - Detect the indentation of code.
- [fullname-cli](https://github.com/sindresorhus/fullname-cli) - Get the fullname of the current user.
- [gzip-size-cli](https://github.com/sindresorhus/gzip-size-cli) - Get the gzipped size of a file or stdin.
- [HASHA -cli](https://github.com/sindresorhus/hasha-cli) - Hashing made simple. Get the hash of text or stdin.
- [kill-tabs](https://github.com/sindresorhus/kill-tabs) - Kill all Chrome tabs to improve performance, decrease battery usage, and save memory.
- [leven-cli](https://github.com/sindresorhus/leven-cli) - Measure the difference between two strings using the Levenshtein distance algorithm.
- [mdlt](https://github.com/metadelta/mdlt) - Do quick math right from the command line.
- [medium-cli](https://github.com/djadmin/medium-cli) - Read [medium.com](https://medium.com/) stories within your terminal, also gives top stories.
- [open-shortcut-cli](https://github.com/sindresorhus/open-shortcut-cli) - Open the URL from a web shortcut file in the browser.
- [shortcut-url-cli](https://github.com/sindresorhus/shortcut-url-cli) - Get the URL from a web shortcut file.
- [SpeedRead](https://github.com/sunsations/speed_read) - A simple terminal-based open source Spritz-alike.
- [to-double-quotes](https://github.com/sindresorhus/to-double-quotes-cli) - Convert matching single-quotes to double-quotes: I 'love' unicorns => I "love" unicorns.
- [to-single-quotes](https://github.com/sindresorhus/to-single-quotes-cli) - Convert matching double-quotes to single-quotes: I "love" unicorns → I 'love' unicorns.
- [gdb-dashboard](https://github.com/cyrus-and/gdb-dashboard) - Modular visual interface for GDB in Python.
- [hget](https://github.com/bevacqua/hget) - Render websites in plain text from your terminal.
- [google-wifi-status](https://github.com/joelgeorgev/google-wifi-status) - A Node.js CLI app that displays status of your Google Wifi / OnHub router.
- [calories](https://github.com/zupzup/calories) - Calories and weight tracker.
- [trino](https://github.com/eneserdogan/trino) - Trino CLI allows a quick and easy translation of words and phrases entered in the command line.
- [alex](https://github.com/wooorm/alex) - This enhances texts with checking for insensitive, inconsiderate writing by catching many possible offences.
- [xiringuito](https://github.com/ivanilves/xiringuito) - A "poor man's VPN". An SSH-based "VPN" that's easy to install, but with slower performance than a real VPN.
- [nasa-cli](https://github.com/xxczaki/nasa-cli) - Download NASA Picture of the Day from your terminal.
- [googlr](https://github.com/Camji55/googlr) - Search Google from the command line.
- [Qalculate](https://github.com/Qalculate/libqalculate) - Calculate non-trival math expressions. Unit conversions, symbolic calculations and more.

### Emoji

- [emoj](https://github.com/sindresorhus/emoj) - Find relevant emoji from text on the command-line.
- [emoji-finder](https://github.com/dematerializer/emoji-finder) - Quickly find and copy emoji to the clipboard via the command-line.
- [oji](https://github.com/xxczaki/oji) - Interactive text emoji maker.

## Other Awesome Lists

- [awesome-command-line-apps](https://github.com/herrbischoff/awesome-command-line-apps#readme) – An alternative awesome list of cli apps.
- [awesome-macos-command-line](https://github.com/herrbischoff/awesome-macos-command-line#readme) - Shell commands and tools specific to macOS.
- [awesome-git-addons](https://github.com/stevemao/awesome-git-addons#readme) - Addons that extend git cli.
- [awesome-shell](https://github.com/alebcay/awesome-shell#readme) – Command-line utilities and frameworks.
- [terminals-are-sexy](https://github.com/k4m4/terminals-are-sexy#readme) – Terminal frameworks, plugins & resources.
- [awesome-zsh-plugins](https://github.com/unixorn/awesome-zsh-plugins#readme) – ZSH frameworks, plugins, tutorials & themes.
- [awesome-nodejs clis](https://github.com/sindresorhus/awesome-nodejs#command-line-apps) – Node.js modules and resources.

## License

[![CC0](https://i.creativecommons.org/p/zero/1.0/88x31.png)](https://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Adam Garrett-Harris](https://twitter.com/agarrharr) has waived all copyright and related or neighboring rights to this work.
